%define upstream_name    Config-Std
%define upstream_version 0.903

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
Summary:    Load and save configuration files in a standard format 
License:    GPL or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

Requires:   perl(Class::Std)
BuildRequires: perl(Class::Std)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch:  noarch

%description
Load and save configuration files in a standard format 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
# only when building from CVS (version 1.51-3mdk)
#CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
#make docs -i
# only when building from CVS (version 1.51-3mdk)
perl Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.yml README
%{perl_vendorlib}/Config/Std*
%{_mandir}/*/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.903.0-5.mga10
+ Revision: 2203531
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.903.0-4.mga9
+ Revision: 1808575
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.903.0-3.mga8
+ Revision: 1503596
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.903.0-2.mga7
+ Revision: 1282434
- Mageia 7 Mass Rebuild

* Mon Oct 09 2017 tv <tv> 0.903.0-1.mga7
+ Revision: 1170443
- new release

* Mon Oct 02 2017 tv <tv> 0.901.0-8.mga7
+ Revision: 1163498
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 0.901.0-7.mga7
+ Revision: 1161049
- fix "Unescaped left brace in regex is illegal here in regex"

* Sat Jun 18 2016 pterjan <pterjan> 0.901.0-7.mga6
+ Revision: 1024316
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.901.0-6.mga6
+ Revision: 949715
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.901.0-5.mga5
+ Revision: 790324
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.901.0-4.mga5
+ Revision: 740085
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.901.0-3.mga5
+ Revision: 684000
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.901.0-2.mga4
+ Revision: 534383
- Mageia 4 Mass Rebuild

* Wed Sep 11 2013 sander85 <sander85> 0.901.0-1.mga4
+ Revision: 477546
- update to 0.901

* Sun Jan 13 2013 umeabot <umeabot> 0.900.0-2.mga3
+ Revision: 364706
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 13 2011 jquelin <jquelin> 0.900.0-1.mga1
+ Revision: 84233
- update to 0.900

* Fri Jan 21 2011 jquelin <jquelin> 0.7.0-1.mga1
+ Revision: 28433
- mageia rebuild
- imported package perl-Config-Std


* Mon Dec 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.0-1mdv2010.1
+ Revision: 474569
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - Import perl-Config-Std



* Tue May 22 2007 Shlomi Fish <shlomif@iglu.org.il> v0.0.4-1mdv2007.1
- Initial release.
